#pragma once

#include "Mix/Reference.h"
#include <vector>

namespace Mix{ namespace Scene{ namespace Common{

	class Mesh : public Mix::Reference
	{
	protected:
		Mix::Graphics::IVertexBuffer* m_pVertexBuffer;
		Mix::Graphics::IIndexBuffer* m_pIndexBuffer;

	protected:
		Mesh( void );
		virtual ~Mesh( void );

	public:
		Mix::Graphics::IVertexBuffer* GetVertexBufferPtr( void ) const;
		Mix::Graphics::IIndexBuffer* GetIndexBufferPtr( void ) const;
	};

}}}
